# 防火墙

1. **1xx（信息响应）**：这些状态码表示服务器已经收到请求，并且请求正在继续处理中。例如：
   - 100（继续）：请求者应当继续提出请求。
   - 101（切换协议）：请求者已要求服务器切换协议，服务器已确认并准备切换。
2. **2xx（成功响应）**：这些状态码表示请求已成功被服务器接收、理解并处理。例如：
   - 200（成功）：服务器已成功处理了请求。
   - 201（已创建）：请求成功并且服务器创建了新的资源。
3. **3xx（重定向响应）**：这些状态码表示要完成请求，需要进一步操作。通常，这些状态代码用来重定向。例如：
   - 300（多种选择）：请求者可以选择一个选项来继续请求。
4. **4xx（客户端错误）**：这些状态码表示请求包含语法错误或无法完成请求。例如：
   - 401（未授权）：请求需要用户认证。
   - 403（禁止访问）：服务器理解请求但拒绝执行。
   - 404（未找到）：请求的资源未在服务器上找到。
5. **5xx（服务器错误）**：这些状态码表示服务器在尝试处理请求时发生内部错误。例如：
   - 500（服务器错误）：服务器遇到了一个未曾预料的状况。
   - 503（服务不可用）：服务器目前无法处理请求。